Name:		perl-Module-Build-Tiny
Summary:	A tiny replacement for Module::Build
Version:	0.039
Release:	17
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Module-Build-Tiny
Source0:	https://cpan.metacpan.org/modules/by-module/Module/Module-Build-Tiny-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl-generators perl-interpreter gcc gcc-c++
BuildRequires:	perl(ExtUtils::CBuilder) perl(ExtUtils::Config)
BuildRequires:	perl(ExtUtils::Helpers) perl(ExtUtils::Install)
BuildRequires:	perl(ExtUtils::InstallPaths) perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))
Requires:	perl(DynaLoader) perl(ExtUtils::CBuilder) gcc gcc-c++
Requires:	perl(ExtUtils::ParseXS) perl(Pod::Man) perl(TAP::Harness::Env)
 
%description
This package is a tiny replacement for Module::Build

%package_help

%prep
%autosetup -n Module-Build-Tiny-%{version} -p1
 
%build
perl Build.PL --installdirs=vendor
./Build
 
%install
./Build install --destdir=%{buildroot} --create_packlist=0
 
%check
AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test
 
%files
%license LICENSE
%{perl_vendorlib}/Module/

%files help
%doc Changes README Todo
%{_mandir}/man3/Module::Build::Tiny.3*
 
%changelog
* Sat Feb 29 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.039-17
- Package init
